macOS Mojave auf nicht unterstützer Hardware: Update auf Version 10.14.6 ohne Probleme

24. Juli 2019 09:45 Uhr - Redaktion

Über die Möglichkeit, macOS Mojave auf nicht unterstützter Hardware zu installieren, haben wir in den vergangenen Monaten mehrfach berichtet. Offiziell läuft das Betriebssystem auf Macs ab Baujahr 2012 (bzw. Mac Pro ab 2010), mit einem inoffiziellen Community-Patcher ist dies jedoch auch auf älteren Rechnern (ab Baureihe 2008/2009) möglich. Das neueste Update, das zu Wochenbeginn veröffentlichte macOS 10.14.6, lässt sich mit der aktuellen Version 1.3.3 des Patchers ebenfalls problemlos aufspielen.

Wir konnten damit ein MacBook Pro aus dem Jahr 2010 erfolgreich auf macOS 10.14.6 aktualisieren. Ganz wichtig ist jedoch, dass dabei NICHT die Softwareaktualisierung von macOS genutzt (kann zu Problemen führen), sondern die folgende Updateanleitung befolgt wird:

 
macOS Mojave auf MacBook Pro Baujahr 2010
 
Läuft problemlos: macOS 10.14.6 auf einem MacBook Pro des Baujahrs 2010.

 

1) Version 1.3.3 des Patchers herunterladen.
2) Damit den kompletten macOS-10.14.6-Installer herunterladen.
3) Auf Basis dieses Installers mit dem Patcher einen neuen Installer-USB-Stick (Kapazität: mindestens 16 GB) erstellen. Dateiformat: Mac OS Extended (Journaled), NICHT mit APFS formatieren!
4) Von diesem Installer-Stick booten (nach dem Einschalten Alt-Taste gedrückt halten, um in den Bootmanager zu kommen).
5) Nun macOS 10.14.6 installieren (eine vorhandene Installation wird aktualisiert, unter Beibehaltung der Daten). FileVault-Startvolumes müssen vorher per Festplattendienstprogramm entsperrt und aktiviert (Passworteingabe erforderlich) werden.
6) Nach Abschluss der Installation erneut vom Installer-Stick booten und die Post-Patches installieren (ggf. vorher wieder FileVault-Startvolumes entsperren).
7) Die Option "Force Cache Rebuild" aktivieren und von regulärem Startvolume neu starten.
8) Jetzt noch den Patcher Updater (siehe Dienstprogramme-Ordner) starten und ggf. verfügbare Patches herunterladen.

Wer kritische Daten auf dem Gerät hat, sollte vor der Aktualisierung sicherheitshalber ein vollständiges Backup anlegen.

Und ganz grundsätzlich: Die gesamte Prozedur (Installation von Mojave auf offiziell nicht unterstützter Hardware) ist nur experimentierfreudigen, technisch versierten Anwendern, die der englischen Sprache mächtig sind, zu empfehlen. Die Nutzung des "macOS Mojave Patcher Tool" erfolgt auf eigene Gefahr, es gibt keinerlei Support durch Apple!

 

 

Der Entwickler des Patchers hat auf seiner Web-Seite eine bebilderte Schritt-für-Schritt-Anleitung bereitgestellt, zudem gibt es ein Video-Tutorial (eingebettet in diesen Artikel). Mit dem "macOS Mojave Patcher Tool" lässt sich das neue Betriebssystem auf folgenden Rechnern, die von Apple nicht mehr unterstützt werden, installieren:

• Xserve ab Baureihe 2008.
• Mac Pro ab Baureihe 2008.
• iMac der Baureihen "Anfang 2008" bis "Ende 2011".
• MacBook Air der Baureihen "Ende 2008" bis "Mitte 2011".
• MacBook Pro der Baureihen "Anfang 2008" bis "Ende 2011".
• Mac mini der Baureihen "Anfang 2009" und "Mitte 2011".
• MacBook der Baureihen "Anfang 2009" bis "Mitte 2010".
• Aluminium-MacBook der Baureihe "Ende 2008".

Mit den letzten Updates für den Patcher wurden einige bisher bestehende Probleme gelöst, zum Beispiel nicht funktionierendes WLAN oder fehlende Grafikbeschleunigung auf bestimmten Systemen.

Kommentare

Mein Uralt-iMac läuft mit macOS 10.14.6! 💪 Hab's genauso gemacht wie hier beschrieben: Neuen Installer-Stick erstellt und damit aktualisiert.

mein 2008er iMac läuft auch mit 10.14.6 !

und damit auch die Creative Cloud Updates von PhotoshopCC und Lightroom Classic. Toll daran ist ausserdem, dass nach jedem Neustart die Programme schneller laufen.